Package org.gradle.api.tasks.diagnostics

## Class AbstractReportTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.diagnostics.AbstractReportTask

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Deprecated
      @DisableCachingByDefault(because="Abstract super-class, not to be instantiated directly")
      public abstract class AbstractReportTask
      extends org.gradle.api.internal.ConventionTask

  Deprecated.
  Use `ProjectBasedReportTask` instead.
  The base class for all project report tasks. Preserved for backward compatibility.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractReportTask()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `generate()` | Deprecated.
    `protected abstract void` | `generate​(Project project)` | Deprecated.
    `protected org.gradle.initialization.BuildClientMetaData` | `getClientMetaData()` | Deprecated.
    `File` | `getOutputFile()` | Deprecated. Returns the file which the report will be written to.
    `Set<Project>` | `getProjects()` | Deprecated. Returns the set of project to generate this report for.
    `protected abstract org.gradle.api.tasks.diagnostics.internal.ReportRenderer` | `getRenderer()` | Deprecated.
    `protected org.gradle.internal.logging.text.StyledTextOutputFactory` | `getTextOutputFactory()` | Deprecated.
    `void` | `setOutputFile​(File outputFile)` | Deprecated. Sets the file which the report will be written to.
    `void` | `setProjects​(Set<Project> projects)` | Deprecated. Specifies the set of projects to generate this report for.

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### AbstractReportTask

          protected AbstractReportTask()

      Deprecated.

  - ### Method Detail

    - #### getClientMetaData

          @Inject
          protected org.gradle.initialization.BuildClientMetaData getClientMetaData()

      Deprecated.

    - #### getTextOutputFactory

          @Inject
          protected org.gradle.internal.logging.text.StyledTextOutputFactory getTextOutputFactory()

      Deprecated.

    - #### generate

          public void generate()

      Deprecated.

    - #### getRenderer

          @Internal
          protected abstract org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()

      Deprecated.

    - #### generate

          protected abstract void generate​(Project project)
                                    throws IOException

      Deprecated.
      Throws:
        `IOException`

    - #### getOutputFile

          @Nullable
          @Optional
          @OutputFile
          public File getOutputFile()

      Deprecated.
      Returns the file which the report will be written to. When set to `null`, the report is written to `System.out`. Defaults to `null`.
      Returns:
        The output file. May be null.

    - #### setOutputFile

          public void setOutputFile​(@Nullable
                                    File outputFile)

      Deprecated.
      Sets the file which the report will be written to. Set this to `null` to write the report to `System.out`.
      Parameters:
        `outputFile` - The output file. May be null.

    - #### getProjects

          @Internal
          public Set<Project> getProjects()

      Deprecated.
      Returns the set of project to generate this report for. By default, the report is generated for the task's containing project.
      Returns:
        The set of files.

    - #### setProjects

          public void setProjects​(Set<Project> projects)

      Deprecated.
      Specifies the set of projects to generate this report for.
      Parameters:
        `projects` - The set of projects. Must not be null.